#!/bin/bash

source .env
cd "$APP_REPO_DIR" &&\
$CONTAINER_ENGINE rm -f "$CONTAINER_NAME" &\
git pull &&\
$CONTAINER_ENGINE run \
    --detach \
    --name "$CONTAINER_NAME" \
    -v "$APP_REPO_DIR":"$MOUNT_PATH" -p 127.0.0.1:$EXTERNAL_PORT:$CONTAINER_PORT \
    "$HOST_IMAGE"